<!DOCTYPE html>
<html>
  <head>
    <title>Udiaren</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="icon" type="image/png" href="favicon.png">
    <link rel="stylesheet" type="text/css" href="stylesheet.css">
  </head>
  <body>
      <div class="topnav">
        <h1>Udiareň</h1>
        <p><a href="https://jatel.sk/">jatel.sk</a></p>
      </div>
      <div>
        <p id="dateTime"></p>
        <script>
          var todays_date = new Date();
          document.getElementById("dateTime").innerHTML = todays_date;
        </script>
      </div>
      <div class="content">
        <div class="gridbox">
          <div class="box">
            <h2>Automatika</h2>
            <label class="switch">
              <input type="checkbox" onchange="toggleCheckbox(this)" id="2">
              <span class="slider"></span>
            </label>            
            <p>State: <span id="pids"></span></p>
            <form action="/tmp" method ="POST">
              <p>
                <label for="temp">Nastavená teplota: <span id="settempstate" style="font-size:30px;"></span>&deg;C</label>
                <input type="number" id="temp" name="temp">
                <input type="submit" class="btn" value="Submit">
              </p>
            </form>
            <p>Aktuálna teplota: <span id=currenttempstate style="font-size:50px;"></span>&deg;C</p>
          </div>
          <div class="box">
            <h2>Manuálne ovládanie dvierok</h2>
            <p>
              <button class="btn" onclick="btnManual(this)" id="open">Otvaraj</button>
              <button class="btn" onclick="btnManual(this)" id="stop">Stop</button>
              <button class="btn" onclick="btnManual(this)" id="close">Zatvaraj</button>
            </p>
            <p>
              State: <span id="doorstate"></span>
            </p>
          </div>
          <div class="box">
            <p><a href="about.html"><button class="btn">Popis</button></a></p>
            <p><a href="calibration.html"><button class="btn">Kalibrácia</button></a></p>
            <p><a href="wifimanager.html"><button class="btn">Wifi manager</button></a></p>
          </div>
        </div>
      </div>
    <script src="script.js"></script>
  </body>
</html>